Description

Supportanfrage

ist es möglich auch mit Visual Studio Code ADTF3-Filter zu entwickeln und kompilieren? Wenn ja, wie?

Hintergrund der Frage:

Wir bekommen bei uns momentan kein Visual Studio 2017 mehr auf neuen Rechner installiert (und auch 2019 nicht mehr). Visual

Studio Code 1.39.2 geht allerdings.

Mit den Guides auf euren Seiten (https://support.digitalwerk.net/adtf/v3/guides/sdk_filter_mechanics.html) bekommen wir da aber

Fehlermeldungen von cmake, weil Visual Studio nicht gefunden wurde.

Lösung

Das Problem, dass du da beschreibst ist kein ADTF spezifisches Problem. Das Problem ist sehr viel allgemeiner. Es scheint mir, als

wenn du gerade nicht einmal ein "Hello-World"-CMake Projekt mit VSCode erstellen kannst.

Du hast sicherlich keinen Visual Studio Compiler installiert.

https://stackoverflow.com/questions/60068168/cmake-problem-could-not-find-any-instance-of-visual-studio

History

#1 - 2020-09-22 12:25 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

- Customer set to VW

- Department set to EFFP

- Affected Products ADTF 3.9.0 added

- Platform Windows 10 64bit added

#3 - 2020-09-22 15:10 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Not Supported Scope

Hallo Matthias,

das Problem, dass du da beschreibst ist kein ADTF spezifisches Problem. Das Problem ist sehr viel allgemeiner. Es scheint mir, als wenn du gerade

nicht einmal ein "Hello-World"-CMake Projekt mit VSCode erstellen kannst.

Du hast sicherlich keinen Visual Studio Compiler installiert.

https://stackoverflow.com/questions/60068168/cmake-problem-could-not-find-any-instance-of-visual-studio

#4 - 2020-10-06 10:39 - hidden

- Project changed from 20 to Public Support

- Subject changed from Entwicklung ADTF3-Filter mit Visual Studio Code to Implement ADTF 3 Filter using Visual Studio Code

- Description updated
- Status changed from To Be Closed to Closed

- Private changed from Yes to No
